Skip to main content
`Ctrl`+`K`

# EPSWhich

Determines which part of the spectrum is requested.

## Synopsis

    typedef enum { EPS_LARGEST_MAGNITUDE  = 1,
                   EPS_SMALLEST_MAGNITUDE = 2,
                   EPS_LARGEST_REAL       = 3,
                   EPS_SMALLEST_REAL      = 4,
                   EPS_LARGEST_IMAGINARY  = 5,
                   EPS_SMALLEST_IMAGINARY = 6,
                   EPS_TARGET_MAGNITUDE   = 7,
                   EPS_TARGET_REAL        = 8,
                   EPS_TARGET_IMAGINARY   = 9,
                   EPS_ALL                = 10,
                   EPS_WHICH_USER         = 11 } EPSWhich;

## Values

- `EPS_LARGEST_MAGNITUDE` - largest \(|\lambda|\)

- `EPS_SMALLEST_MAGNITUDE` - smallest \(|\lambda|\)

- `EPS_LARGEST_REAL` - largest \(\mathrm{Re}(\lambda)\)

- `EPS_SMALLEST_REAL` - smallest \(\mathrm{Re}(\lambda)\)

- `EPS_LARGEST_IMAGINARY` - largest \(\mathrm{Im}(\lambda)\)

- `EPS_SMALLEST_IMAGINARY` - smallest \(\mathrm{Im}(\lambda)\)

- `EPS_TARGET_MAGNITUDE` - smallest \(|\lambda-\tau|\)

- `EPS_TARGET_REAL` - smallest \(|\mathrm{Re}(\lambda-\tau)|\)

- `EPS_TARGET_IMAGINARY` - smallest \(|\mathrm{Im}(\lambda-\tau)|\)

- `EPS_ALL` - all \(\lambda\in[a,b]\) or \(\lambda\in\Omega\)

- `EPS_WHICH_USER` - user-defined sorting criterion

## Notes

If SLEPc is compiled for real scalars `EPS_LARGEST_IMAGINARY` and `EPS_SMALLEST_IMAGINARY` use the absolute value of the imaginary part for eigenvalue selection.

The target \(\tau\) is a scalar value provided with `EPSSetTarget()`.

The case `EPS_ALL` needs an interval \([a,b]\) given with `EPSSetInterval()` or a region \(\Omega\) specified with an `RG` object.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetWhichEigenpairs()`, `EPSSetTarget()`, `EPSSetInterval()`

## Level

intermediate

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages